Subject: Re: subprocess i/o interaction with shell (bash&cmd): shells compete for input with user program!
From: Steve Coleman <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 22 Jul 2003 17:53:46 -0400

Sam Steingold wrote:

>I am not using fork().
>just plain exec().
>  
>
If thats the case then the exec() you are linking is not behaving as a 
POSIX exec() call, because if it did you would not still have two 
processes to even compete for the I/O streams. The first process image 
would be "replaced" by the second.

% man execl

8< ---------
"The  exec family of functions replaces the current process image with a 
new process
 image."
-------------

So, either you are not using Cygwin execl(), or it is VERY broken, which 
I doubt because too many applications have been working correctly for 
too long for the second to be the case.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/